Subject: Re: bug#53837: [PATCH] gnu: Remove leftover patch files.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Feb 2022 21:55:25 +0100

Hi,

Leo Famulari <[email-masked]> skribis:

> On Wed, Feb 09, 2022 at 11:48:37AM +0100, Ludovic Courtès wrote:
>> Perhaps you can share the script that you used?  That way we can review
>> the script rather than its output.  :-)
>
> Sure, I did this:
>
> `find gnu/packages/patches | while read patch; do git grep ${patch##gnu/packages/patches/} gnu/packages >/dev/null || echo "${patch##gnu/packages/patches/} is leftover?"; done`

Looks reasonable to me.

> I figure it could cause a problem if a patch file was used somewhere
> besides 'gnu/packages', or if the patch file name was "constructed".

We don’t have to worry about third-party channels.  As for constructed
file names, I don’t think there are any.

To be on the safe side, you can run “make as-derivation” before pushing.
Of course that will only catch serious issues, but if other issues come
up (unlikely), we’ll follow up.

Thanks,
Ludo’.